<template>
	<div class="view">
		<div v-for="team in teams" :key="team.number" class="card">
			<h3>Team {{ team.number }}</h3>
			<ul>
				<li v-for="member in team.members" :key="member.name">
					<a :href="member.link" target="_blank" rel="noreferrer">{{
						member.name
					}}</a>
				</li>
			</ul>
		</div>
	</div>
</template>

<script>
export default {
	name: "Teams",
	props: ["teams"]
};
</script>

<style lang="scss" scoped>
.view {
	width: 100%;
	max-height: 100vh;
	overflow: auto;
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
	grid-auto-rows: 200px;
	padding: 40px;
}
.card {
	background: rgba(243, 44, 44, 0.8);
	text-align: left;
	padding: 20px;
	z-index: 10;
	margin: 10px;
	position: relative;
	overflow: hidden;
	&::after {
		content: "";
		position: absolute;
		bottom: -30px;
		right: -30px;
		height: 60px;
		width: 60px;
		transform: rotate(45deg);
		background-color: #242424;
	}
	h3 {
		font-weight: bold;
		font-size: 32px;
		text-align: left;
	}
	ul {
		list-style: none;
		li {
			font-weight: bold;
			font-size: 18px;
			margin: 1rem 0;
			a {
				text-decoration: none;
				color: #f7f8fb;
			}
		}
	}
}
</style>
